# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}
#%{?dotests: %define dotests dotests}

Summary: C source file browser
Name:    cscope
Version: 15.9
Release: 1
License: BSD
Group:   Development/Other
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL:     http://cscope.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: bison flex
Requires: flex >= 2.6.4-1, ncurses >= 6.1-2

%description
cscope is an interactive, screen-oriented tool that allows the user to browse
through C source files for specified elements of code.


%prep
%setup -q

# Duplicate source for 32 & 64 bits
rm -rf /tmp/%{name}-%{version}-32bit
mkdir  /tmp/%{name}-%{version}-32bit
mv *   /tmp/%{name}-%{version}-32bit
mkdir 32bit
mv     /tmp/%{name}-%{version}-32bit/* 32bit
rm -rf /tmp/%{name}-%{version}-32bit
mkdir 64bit
cp -rp 32bit/* 64bit/

%build
#export CC="xlc"
#export CFLAGS="-q64"
#export OBJECT_MODE=64

# first build the 64-bit version
cd 64bit
export LDFLAGS="-Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -L/opt/freeware/lib64 -L/opt/freeware/lib"
export CC="gcc -maix64 -O2"
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}
if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi

# now build the 32-bit version
cd ../32bit
export LDFLAGS="-Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000 -L/opt/freeware/lib"
export CC="gcc -maix32 -O2 -D_LARGE_FILES"
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}
if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit

export AR="/usr/bin/ar -X64"
export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
) 

cd ../32bit
export AR="/usr/bin/ar -X32"
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
) 

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc 32bit/TODO 32bit/COPYING 32bit/ChangeLog 32bit/AUTHORS 32bit/README 32bit/NEWS 32bit/INSTALL
%{_bindir}/*
%{_mandir}/man1/cscope.1*
/usr/bin/*


%changelog
* Wed Jan 29 2020 Rishita Saha <risaha16@ibm.com> -15.9-1
- Update to version 15.9

* Mon Dec 04 2017 Sushma M Bhat <susmbhat@ibm.com> -15.8b-1
- Updated to version 15.8b

* Wed Oct 03 2012 Michael Perzl <michael@perzl.org> - 15.8a-1
- updated to version 15.8a

* Wed Jun 27 2010 Michael Perzl <michael@perzl.org> - 15.8-1
- updated to version 15.8

* Wed Jan 20 2010 Michael Perzl <michael@perzl.org> - 15.7a-1
- first version for AIX V5.1 and higher
